HECKLE(1)

NAME
heckle - mutate Ruby code and run test

SYNOPSIS
heckle class_name [method_name]

DESCRIPTION
`heckle' is a mutation tester. It modifies your code and runs your tests to make sure they fail. The idea is that if code can be changed and your tests don't notice, either that code isn't being covered or it doesn't do anything.

-v, --verbose
    Loudly explain heckle run

-t, --tests TEST_PATTERN
    Location of tests (glob)

-F, --force
    Ignore initial test failures

    Best used with --focus

--assignments
    Only mutate assignments

-b, --branches
    Only mutate branches

-f, --focus
    Apply the eye of sauron

-T, --timeout SECONDS
    The maximum time for a test run in seconds

    Used to catch infinite loops

-n, --nodes NODES
    Nodes to mutate

    Possible values: call, cvasgn ,dasgn, dasgn_curr, false, gasgn, iasgn, if, iter, lasgn, lit, str, true, until, while

-x, --exclude-nodes NODES
    Nodes to exclude